=== debian/changelog ===
yosys (0.23-6) unstable; urgency=medium

  * Fix autotest error patch
  * Require berkeley-abc 1.01+20221019git70cb339+dfsg-3 to fix armhf

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 03 Dec 2022 23:15:20 +0100

yosys (0.23-5) unstable; urgency=medium

  * Add patch to be verbose on test errors
  * Allow fast unclean rebuild

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 03 Dec 2022 03:23:09 +0100

yosys (0.23-4) unstable; urgency=medium

  * Fix fstGetUint32 crash on mips64el, Thanks Scott Ashcroft

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 02 Dec 2022 15:57:26 +0100

yosys (0.23-3) unstable; urgency=medium

  * Add patch to fix blhc CLFAGS warning
  * Fix d/rules sh syntax

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 13 Nov 2022 23:34:50 +0100

yosys (0.23-1) unstable; urgency=medium

  * New upstream version 0.23
  * Refresh patches

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 13 Nov 2022 13:48:22 +0100

yosys (0.22-1) unstable; urgency=medium

  * Revise big-endian arch exclude mechanism
  * Fix debian/watch
  * New upstream version 0.22

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 30 Oct 2022 01:27:23 +0200
