=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PDF_DATE   :=     $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +D:%Y%m%d%H%M%SZ)
PDF_DATE2  :=     $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%B %d, %Y")
CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

%:
	PREFIX=/usr dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/man/*.1
	$(RM) Makefile.conf

override_dh_auto_configure:
	printf '%s\n' \
	  'CONFIG := gcc' \
	  'ABCEXTERNAL=berkeley-abc' \
	  'ABCPULL=0' \
	  'STRIP=:' \
	  > Makefile.conf

override_dh_auto_install:
	dh_auto_install
	chmod a-x debian/tmp/usr/share/yosys/achronix/speedster22i/cells*.v

override_dh_installman:
	cd debian/man ; CHANGELOG_DATE="$(CHANGELOG_DATE)" ./genmanpages.sh
	dh_installman

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_auto_build-arch:
	dh_auto_build -- all

override_dh_auto_build-indep:
	sed -i 's/REPLACEWITHDATE/$(PDF_DATE2)/' manual/presentation.tex
	PDF_DATE=$(PDF_DATE) dh_auto_build -- all manual

override_dh_auto_test:
ifeq (big,$(shell dpkg-architecture -qDEB_TARGET_ARCH_ENDIAN))
	dh_auto_test && { \
	  echo 'Big-endian arches are considered "unusably broken" by upstream and tests are'; \
	  echo 'expected to be broken. Despite this the tests seem to have succeeded, is it time'; \
	  echo 'to revise this expectation?'; \
	  echo "See https://github.com/YosysHQ/yosys/issues/2645"; \
	  echo "Failing build artificially."; \
	  exit 1; \
	}
else
	dh_auto_test
endif
