=== debian/watch ===
version=4
https://github.com/YosysHQ/yosys/tags .*/yosys-([0-9.]+).tar.gz
