=== docs/source/requirements.txt ===
sphinx-press-theme
sphinxcontrib-bibtex
