=== debian/changelog ===
yosys (0.33-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:53:45 +1100

yosys (0.33-5build1) noble; urgency=medium

  * No-change rebuild against libreadline t64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2024 19:03:28 +0100

yosys (0.33-5) unstable; urgency=medium

  * Fix pdflatex reproducibility

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 23 Sep 2023 21:58:59 +0200

yosys (0.33-4) unstable; urgency=medium

  * Fix autotest.sh patch locking again

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 22:10:05 +0200

yosys (0.33-3) unstable; urgency=medium

  * Fix botched flock invocation in autotest fix

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 15:26:27 +0200

yosys (0.33-2) unstable; urgency=medium

  * Fix text file busy due to autotest.sh gcc race
  * Fix superfluous-file-pattern in d/copyright

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 11:04:15 +0200

yosys (0.33-1) unstable; urgency=medium

  * New upstream version 0.33
  * Add d/README.source documenting gbp import-orig invocation for MUT

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 06 Sep 2023 00:12:04 +0200

yosys (0.32-2) unstable; urgency=medium

  * Source-only upload to facilitate testing migration
  * Protect only latex from locale environment
  * Prevent rebuilding world with -nc due to patch unapplication

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 01 Sep 2023 13:37:09 +0200

yosys (0.32-1) unstable; urgency=medium

  * New upstream version 0.32
  * Use upstream's yosys-abc fork directly, dropping berkeley-abc depends

  * Standards version 4.6.2 - no changes (Steffen Möller)
  * d/rules sets LC_ALL and LANG to C to harden build (Steffen Möller)

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 27 Aug 2023 13:10:41 +0200

yosys (0.30-6) unstable; urgency=medium

  * Remove yosys-src (Closes: #1050397)

 -- Daniel Gröber <dxld@darkboxed.org>  Sat, 26 Aug 2023 17:53:00 +0200

yosys (0.30-5) unstable; urgency=medium

  * Fix yosys-testsuite autopkgtest failing due to stderr output
  * Clarify d/copyright declared licenses of debian/patches/
  * Fix superfluous-file-pattern lintian warning
  * yosys-testsuite: Check for right number of arguments
  * Remove yosys-tests package, not needed for abc autopkgtest blocking
  * yosys-testsuite: Replace Test-Command invocation with script

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 23 Aug 2023 16:40:01 +0200

yosys (0.30-4) unstable; urgency=medium

  * yosys-testsuite: Remove dh dependency for cleaning

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 23 Aug 2023 14:13:52 +0200

yosys (0.30-3) unstable; urgency=medium

  * Fix i386 excess-precicion issue in fstapi

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 22 Aug 2023 20:49:25 +0200

yosys (0.30-2) unstable; urgency=medium

  * Fix install of manual.pdf
  * Skip running tests for binary-indep (docs) build

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 22 Aug 2023 13:45:07 +0200

yosys (0.30-1) unstable; urgency=medium

  * Demote xdot to Recommends
  * Add patch to fix building with LTO (Closes: #1015712)
  * Enable LTO
  * New upstream version 0.30
  * Fix dsc build after binary build (Closes: #1047992)
  * Add autopkgtest for abc integration testing

  [ Steffen Möller while sponsoring ]
  * Removed d/gbp.conf debian-branch pointer to experimental.

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 18 Aug 2023 17:52:25 +0200
