=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: yosys
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
            Sebastian Kuzminsky <seb@highlab.com>,
            Daniel Gröber <dxld@darkboxed.org>
@@ -9,15 +10,17 @@
                dh-python,
                tcl-dev,
                libreadline-dev,
+               libbz2-dev,
+               zlib1g-dev,
                bison,
                flex,
                gawk,
+               git,
                libffi-dev,
                pkg-config,
                txt2man,
                iverilog (>= 10.1),
                python3,
-               berkeley-abc (>= 1.01+20221019git70cb339+dfsg-3)
 Build-Depends-Indep:
                texlive-base,
                texlive-plain-generic,
@@ -29,10 +32,16 @@
                texlive-science,
                texlive-publishers,
                texlive-bibtex-extra,
+               tex-gyre,
+               latexmk,
                lmodern,
-               graphviz
+               graphviz,
+               pdf2svg,
+               python3-sphinx,
+               python3-sphinx-press-theme,
+               python3-sphinxcontrib.bibtex
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/yosys
 Vcs-Git: https://salsa.debian.org/science-team/yosys.git
 Homepage: https://github.com/YosysHQ/yosys
@@ -43,8 +52,8 @@
          ${python3:Depends},
          python3-click,
          ${misc:Depends},
-         berkeley-abc (>= 1.01+20221019git70cb339+dfsg-3),
-         xdot
+         yosys-abc (>= 0.32-1),
+Recommends: xdot
 Description: Framework for Verilog RTL synthesis
  This is a framework for Verilog RTL synthesis. It currently has extensive
  Verilog-2005 support and provides a basic set of synthesis algorithms for
@@ -73,13 +82,29 @@
  .
  This package contains the headers and programs needed to build yosys plugins.
 
+Package: yosys-abc
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Replaces: yosys (<< 0.32-1)
+Breaks: yosys (<< 0.32-1)
+Description: Sequential Logic Synthesis and Verification Algorithms
+ ABC is a system for synthesis and verification of binary sequential logic
+ circuits appearing in synchronous hardware designs. It combines scalable
+ logic optimization based on And-Inverter Graphs (AIGs), optimal-delay
+ DAG-based technology mapping for look-up tables and standard cells, and
+ innovative algorithms for sequential synthesis and verification.
+ .
+ This is a fork of berkeley-abc maintained by the YosysHQ team for use in
+ the yosys RTL synthesis framework.
+
 Package: yosys-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Suggests: yosys
-Description: Documentation for Yosys
+Description: Framework for Verilog RTL synthesis (documentation)
  Yosys is a framework for Verilog RTL synthesis. It currently has extensive
  Verilog-2005 support and provides a basic set of synthesis algorithms for
  various application domains.
