=== debian/tests/control ===
Tests: yosys-testsuite
Depends:
 yosys, yosys-dev,
 gcc, g++,
 gawk,
 iverilog,
 pkg-config,
 tcl
Restrictions: allow-stderr, rw-build-tree

Tests: ice, smtbc
Depends: yosys
