=== debian/watch ===
version=4
https://github.com/YosysHQ/yosys/tags .*/yosys-([0-9.]+).tar.gz

opts=\
component=abc,\
filenamemangle=s/yosys-([0-9.]+)\.tar\.gz/yosys-abc-$1.tar.gz/ \
https://github.com/YosysHQ/abc/tags .*/yosys-([0-9.]+).tar.gz same
