## yosys 0.51

=== debian/changelog ===
yosys (0.51-1) unstable; urgency=medium

  * New upstream version 0.51

 -- Daniel Gröber <dxld@darkboxed.org>  Tue, 18 Mar 2025 00:00:57 +0100

yosys (0.49-1) unstable; urgency=medium

  [ Scott Ashcroft ]
  * New upstream release (Closes: #1068174)
  * Fix Build-Depends (Closes: #1055408, #1080844)
  * Presentation was removed upstream. (Closes: #1093368)

  [ Daniel Gröber ]
  * Add patch to replace rsync with cp in build
  * Add patch to properly invalidate docs generated help on failure

  [ Scott Ashcroft ]
  * Replace additional rsync usage with cp
  * Don't install python cache files

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 16 Mar 2025 16:03:14 +0100

yosys (0.33-6) unstable; urgency=medium

  * Incorporate changes from experimental.

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 06 Jan 2025 16:48:42 +0100

yosys (0.33-6~exp3) experimental; urgency=medium

  * Fix SOURCE_DATE_EPOCH_FAKETIME not using UTC with date -u
  * Add patch fixing docs/images "tidy" race (Closes: #1052902, #1069424)

 -- Daniel Gröber <dxld@darkboxed.org>  Fri, 04 Oct 2024 21:14:00 +0200

yosys (0.33-6~exp2) experimental; urgency=medium

  * Override TZ to make docs reproducible

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 02 Nov 2023 11:01:21 +0100

yosys (0.33-6~exp1) experimental; urgency=medium

  * Revert to using faketime for graphviz/dot reproducibility

 -- Daniel Gröber <dxld@darkboxed.org>  Wed, 18 Oct 2023 17:12:31 +0200
