=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: yosys
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
            Sebastian Kuzminsky <seb@highlab.com>,
            Daniel Gröber <dxld@darkboxed.org>
@@ -17,10 +16,13 @@
                gawk,
                git,
                libffi-dev,
-               pkg-config,
+               pkgconf,
                txt2man,
-               iverilog (>= 10.1),
+               iverilog (>= 12),
                python3,
+               python3-setuptools,
+               libcxxopts-dev,
+               gtkwave
 Build-Depends-Indep:
                texlive-base,
                texlive-plain-generic,
@@ -36,10 +38,12 @@
                latexmk,
                lmodern,
                graphviz,
+               faketime,
                pdf2svg,
                python3-sphinx,
                python3-sphinx-press-theme,
-               python3-sphinxcontrib.bibtex
+               python3-sphinxcontrib.bibtex,
+               python3-click,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/yosys
